function I=pedersen(q,parameters)
%this function calculates the scattering from polydisperse spheres
%convoluted with a structure factor for fractal systems, as described by
%Teixeira, j.app.cryst. 1988, 21, 781

% parami=1;
% I0=parameters(parami);parami=parami+1;
% RMean=parameters(parami);parami=parami+1;
% RVariance=parameters(parami);parami=parami+1;
% %AR=parameters(4); %aspect ratio=2R/L
% rzero=parameters(parami);parami=parami+1;
% D=parameters(parami);parami=parami+1;
% eta=parameters(parami);parami=parami+1;
% bgnd=parameters(parami);%parami=parami+1;

%fairly monodisperse:
%I=PD_sph(q,[I0 RMean RVariance bgnd]).*sfact(q,[rzero D eta]);

%not monodisperse
I=PD_sph_S(q,parameters);

function S=sfact(q,parameters)
parami=1;
rzero=parameters(parami);parami=parami+1;
D=parameters(parami);parami=parami+1;
eta=parameters(parami);%parami=parami+1;

S=D.*gamma(D-1)./(q.*rzero).^D.*1./(1+1./(q.^2.*eta.^2)).^((D-1)/2).*sin((D-1).*atan(q.*eta));

function I=PD_sph_S(q,parameters)
parami=1;
I0=parameters(parami);parami=parami+1;
Rmu=parameters(parami);parami=parami+1;
Rsigma=parameters(parami);parami=parami+1;
%AR=parameters(4); %aspect ratio=2R/L
sc=parameters(parami);parami=parami+1;
D=parameters(parami);parami=parami+1;
eta=parameters(parami);parami=parami+1;
bgnd=parameters(parami);%parami=parami+1;

nsteps_PDint=800;
%PDint_cutoff=.99;
%PDint_start=.01;
RDint_start=0;
RDint_end=Rmu+40*abs(Rsigma);
Z=1./(Rsigma/Rmu)^2-1;
    DRD=(RDint_end-RDint_start)/nsteps_PDint;
    RDmid=0.5*DRD:DRD:RDint_end-0.5*DRD;    
    RDg=schultz(RDmid,Rmu,Z);
    %now everything is in place for the integration over R1.
Iint=zeros(size(q));
Vwsqrtot=0;
    for pdi=1:nsteps_PDint
            R=RDmid(pdi);
            V=2*pi*R^3;
            
            Fsph=sphereintensity_rayleigh(q.*R); %this function is not volume dependent, so we must remember to multiply with the volume
            Iint=Iint+V.^2.*abs(Fsph).^2.*RDg(pdi).*DRD;
            Vwsqrtot=Vwsqrtot+V.^2.*RDg(pdi).*DRD;

%        edi{pdi}=ed;
       
    end
    Iint=Iint./Vwsqrtot.*(1+sc.*sfact(q,[Rmu D eta])); %normalize so that F(0)=1 and multiply with the structure factor
            I=I0.*(Iint)+bgnd;

%function I=PD_intensity(functionname,q,parameters,variance)

% funchandle=str2func(functionname);
% 
% Id=funchandle(q,parameters)

function Fsph=sphereintensity_rayleigh(qR)

%this is the intensity calcultion at q for a sphere with radius R.
%as given in the paper by J.S. Pedersen, 1997, (eqn. 55)

Fsph=(qR>=0.05).*3.*(sin(qR)-qR.*cos(qR))./qR.^3+(qR<0.05).*(1-0.1.*qR.^2);