function I=USF(q,varargin)
%for use with saxsfit

% Description
% This function calculates 1D data for a model system
% this function is to be used with maxlab_1D.
% Description end
% Number of Parameters: 3
% parameter 1: scaling : real : scaling factor
% parameter 2: lc2 : real : correlation length
% parameter 3: fluct : real : fluctuation term (3D fluctuation)
% Please keep the format since it use by saxsgui to create interactive
% windows.
%
% Orientationdistribution
% This function takes that evaluates function based on the input values as
% parameters. The sequence of values is very important, and should match
% that of the sequence of identifiers described by the variables cell array.
% I do not know yet how to convert the names in variables to proper
% variables for use in the function.
% this orientation distribution is described by Wang, Cohen and Ruland 1993, Tillinger
% and Ruland, and elaborated by Brian R. Pauw, 2006.
%function written by Brian R. Pauw, 12th of October, 2006.
%global fitpar

%A2=values(1);

values=varargin{1};
%A2=values(1);
i=1;
G=values(i);i=i+1;
Rg=values(i);i=i+1;
B=values(i);i=i+1;
P=values(i);i=i+1;
noise=values(i);

I=G.*exp(-q.^2.*Rg.^2./3)+B.*((erf(q.*Rg./sqrt(6))).^3./q).^P+noise;