function P=schultz(R,Rmu,Z)

%This function computes the probability for the Schultz distribution

if Z<-1
    error('Z cannot be smaller than -1');
elseif Z>100
    warning('Z too large (>100), limiting to 100');
    Z=100;
end

%old method, fragile for high-Z
P=((Z+1)/Rmu)^(Z+1).*R.^Z.*exp(-((Z+1).*R./Rmu))./gamma(Z+1);

%alternative method, perhaps better for narrow distributions (high-z): -->
%nope

%  D=(Z+1)*log((Z+1)/Rmu)+Z.*log(abs(R))-(Z+1).*R./Rmu-log(gamma(Z+1));
%  P2=exp(D);